// index.tsx
import React2 from "https://esm.sh/react@18.2.0";
import ReactDOM from "https://esm.sh/react-dom@18.2.0";

// app.tsx
import React from "https://esm.sh/react@18.2.0";
import {
  ChakraProvider,
  Container,
  Stack,
  Checkbox,
  Alert,
  AlertIcon,
  AlertTitle,
  AlertDescription,
  Divider,
  Tag,
  Heading,
  Box,
  Text,
  Image,
  Center,
  FormControl,
  FormLabel,
  FormHelperText,
  FormErrorMessage,
  Textarea,
  Button,
  Tabs,
  TabList,
  TabPanels,
  Tab,
  TabPanel,
  Input,
  InputGroup,
  InputLeftAddon,
  InputRightElement,
  NumberInput,
  AvatarGroup,
  Avatar,
  AvatarBadge
} from "https://esm.sh/@chakra-ui/react@2.3.2";
import { CopyIcon } from "https://esm.sh/@chakra-ui/icons@2.0.9";
var App = () => /* @__PURE__ */ React.createElement(ChakraProvider, { resetCSS: true }, /* @__PURE__ */ React.createElement(Container, null, /* @__PURE__ */ React.createElement(Alert, { mb: "2em" }, /* @__PURE__ */ React.createElement(AlertIcon, null), /* @__PURE__ */ React.createElement(AlertTitle, { mr: 1, fontWeight: "bold" }, "Eclipse Dirigible"), /* @__PURE__ */ React.createElement(AlertDescription, null, "React App with Chakra UI")), /* @__PURE__ */ React.createElement(
  Stack,
  {
    spacing: 2,
    backgroundColor: "blackAlpha.100",
    p: "1em",
    opacity: 1,
    overflow: "visible"
  },
  /* @__PURE__ */ React.createElement(Heading, { as: "h1", size: "sm" }, "Steps"),
  /* @__PURE__ */ React.createElement(Checkbox, { defaultChecked: true }, 'Create "React UI" project from template'),
  /* @__PURE__ */ React.createElement(Checkbox, { defaultChecked: true }, "Publish Project"),
  /* @__PURE__ */ React.createElement(Checkbox, { defaultChecked: true }, "Access Application"),
  /* @__PURE__ */ React.createElement(Checkbox, null, "Unpublish Project")
), /* @__PURE__ */ React.createElement(Divider, { borderColor: "blackAlpha.500" }), /* @__PURE__ */ React.createElement(Center, null, /* @__PURE__ */ React.createElement(
  Image,
  {
    height: "150px",
    width: "150px",
    src: "https://www.dirigible.io/api/images/api.svg"
  }
)), /* @__PURE__ */ React.createElement(FormControl, { mt: "3em" }, /* @__PURE__ */ React.createElement(FormLabel, null, "Feedback"), /* @__PURE__ */ React.createElement(FormErrorMessage, null, "Error message"), /* @__PURE__ */ React.createElement(Textarea, { placeholder: "Enter your feedback about Eclipse Dirigible here" }), /* @__PURE__ */ React.createElement(FormHelperText, null, "Send your honest feedback!"), /* @__PURE__ */ React.createElement(Button, { variant: "solid", size: "md", colorScheme: "twitter", mt: "1em" }, "Send")), /* @__PURE__ */ React.createElement(
  Tabs,
  {
    size: "md",
    isFitted: true,
    variant: "line",
    align: "center",
    orientation: "horizontal"
  },
  /* @__PURE__ */ React.createElement(TabList, null, /* @__PURE__ */ React.createElement(Tab, null, "One"), /* @__PURE__ */ React.createElement(Tab, null, "Two")),
  /* @__PURE__ */ React.createElement(TabPanels, null, /* @__PURE__ */ React.createElement(TabPanel, null, /* @__PURE__ */ React.createElement(FormControl, null, /* @__PURE__ */ React.createElement(FormLabel, null, "Label"), /* @__PURE__ */ React.createElement(Input, null), /* @__PURE__ */ React.createElement(FormHelperText, null, "Helper message"), /* @__PURE__ */ React.createElement(FormErrorMessage, null, "Error message"))), /* @__PURE__ */ React.createElement(TabPanel, null, /* @__PURE__ */ React.createElement(InputGroup, null, /* @__PURE__ */ React.createElement(InputLeftAddon, null, "Email"), /* @__PURE__ */ React.createElement(Input, null), /* @__PURE__ */ React.createElement(InputRightElement, null, /* @__PURE__ */ React.createElement(CopyIcon, { name: "email" })))), /* @__PURE__ */ React.createElement(TabPanel, null, /* @__PURE__ */ React.createElement(NumberInput, null), /* @__PURE__ */ React.createElement(AvatarGroup, { spacing: -3, max: 3, size: "md" }, /* @__PURE__ */ React.createElement(Avatar, { name: "Yordan Pavlov" }, /* @__PURE__ */ React.createElement(
    AvatarBadge,
    {
      bg: "green.500",
      boxSize: "1.25rem",
      borderColor: "white"
    }
  )))))
), /* @__PURE__ */ React.createElement(Box, null, /* @__PURE__ */ React.createElement(Text, { mt: "3em" }, "Tags:"), /* @__PURE__ */ React.createElement(Tag, { colorScheme: "green", rounded: "lg" }, "React UI"), /* @__PURE__ */ React.createElement(Tag, { ml: "0.25em", variant: "solid", colorScheme: "twitter", rounded: "lg" }, "sample"), /* @__PURE__ */ React.createElement(Tag, { ml: "0.25em", variant: "solid", colorScheme: "red", rounded: "lg" }, "application"))));
var app_default = App;

// index.tsx
ReactDOM.render(/* @__PURE__ */ React2.createElement(app_default, null), document.getElementById("root"));
